package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description:
 * @Reference:
 * @Author: joke.wang
 * @CreateDate: 2019\10\10 0010 11:56
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_LOCATE")
@Api("MES_库位")
public class MesLocate extends BaseBean implements Serializable {

    private static final long serialVersionUID = 1229825295729375298L;
    @Column(name = "LOCATE_NO")
    @ApiParam("库位编号")
    private String locateNo;

    @Column(name = "LOCATE_NAME")
    @ApiParam("库位名称")
    private String locateName;

    @Column(name = "ZONE_NO")
    @ApiParam("存储区代码")
    private String zoneNo;
}
