package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description:
 * @Reference:
 * @Author: joke.wang
 * @CreateDate: 2019\10\10 0010 11:56
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_SP_ACTION_RECORD")
@Api("MES_备件操作记录")
public class MesSpActionRecord extends BaseBean implements Serializable {

    private static final long serialVersionUID = 1222647293041375978L;
    @Column(name = "SP_NO")
    @ApiParam("备件编号")
    private String spNo;

    @Column(name = "ACTION_TYPE")
    @ApiParam("操作类型")
    private Integer actionType;

    @Column(name = "SP_CODE")
    @ApiParam("备件代码")
    private String spCode;

    @Column(name = "SP_NAME")
    @ApiParam("备件名称")
    private String spName;

    @Column(name = "EQUIPMENT_CODE")
    @ApiParam("设备代码")
    private String equipmentCode;
}
