package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description:
 * @Reference:
 * @Author: joke.wang
 * @CreateDate: 2019\10\10 0010 11:56
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_SPARE_PART")
@Api("MES_备件表")
public class MesSparePart extends BaseBean implements Serializable {

    private static final long serialVersionUID = 1229825293041375978L;
    @Column(name = "SP_CODE")
    @ApiParam("备件代码")
    private String spCode;

    @Column(name = "SP_NAME")
    @ApiParam("备件名称")
    private String spName;

    @Column(name = "SP_TYPE")
    @ApiParam("备件类型")
    private String spType;

    @Column(name = "SP_CATEGORY")
    @ApiParam("备件类别")
    private String spCategory;

    @Column(name = "USEFUL_LIFE")
    @ApiParam("有效期")
    private Integer usefulLife;
}
